### Hierarchy

- CloudClient

## Index

### Constructors

- constructor

### Properties

- cloudApiUrl
- session

### Accessors

- token

### Methods

- list
- logout
- metadata
- prefetch
- store
- tokInit
- tokStart
- tokStop

## Constructors

### constructor

- new CloudClient(session: Session, options?: ClientOptions): CloudClient

- - Defined in lib/api/cloud.ts:36

  #### Parameters

  - ##### session: Session

  - ##### Optional options: ClientOptions

  #### Returns CloudClient

## Properties

### cloudApiUrl

cloudApiUrl: string

- Defined in lib/api/cloud.ts:34

### session

session: Session

- Defined in lib/api/cloud.ts:33

## Accessors

### token

token:

- Defined in lib/api/cloud.ts:47
- Defined in lib/api/cloud.ts:55

## Methods

### list

- list(clouds: any, token?: any): Promise<any>

- - Defined in lib/api/cloud.ts:71

  #### Parameters

  - ##### clouds: any

  - ##### Optional token: any

  #### Returns Promise<any>

### logout

- logout(name?: string): Promise<any>

- - Defined in lib/api/cloud.ts:159

  #### Parameters

  - ##### Optional name: string

  #### Returns Promise<any>

### metadata

- metadata(url: string): Promise<any>

- - Defined in lib/api/cloud.ts:183

  #### Parameters

  - ##### url: string

  #### Returns Promise<any>

### prefetch

- prefetch(): Promise<any>

- - Defined in lib/api/cloud.ts:62

  #### Returns Promise<any>

### store

- store(name: string, path: string, options?: StoreParams, customSource?: any, token?: any): Promise<any>

- - Defined in lib/api/cloud.ts:105

  #### Parameters

  - ##### name: string

  - ##### path: string

  - ##### Default value options: StoreParams = {}

  - ##### Default value customSource: any = {}

  - ##### Optional token: any

  #### Returns Promise<any>

### tokInit

- tokInit(type: string): Promise<any>

- - Defined in lib/api/cloud.ts:200

  #### Parameters

  - ##### type: string

  #### Returns Promise<any>

### tokStart

- tokStart(type: string, key: string, sessionId: string): Promise<any>

- - Defined in lib/api/cloud.ts:208

  #### Parameters

  - ##### type: string

  - ##### key: string

  - ##### sessionId: string

  #### Returns Promise<any>

### tokStop

- tokStop(type: string, key: string, sessionId: string, archiveId: string): Promise<any>

- - Defined in lib/api/cloud.ts:222

  #### Parameters

  - ##### type: string

  - ##### key: string

  - ##### sessionId: string

  - ##### archiveId: string

  #### Returns Promise<any>